Execute a sell quote
curl --request POST \
--url https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "placed",
"orderId": 0,
"counterpartyOrderIds": [
0
],
"payout": 0
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}Sell
Execute a sell quote
Places the quoted sale. A quote places at most one order; executing it again returns that order.
Rate limit: 120 requests per minute per API key.
POST
/
execution
/
v3
/
sell
/
quotes
/
{quoteId}
/
execute
Execute a sell quote
curl --request POST \
--url https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.collectpure.com/execution/v3/sell/quotes/{quoteId}/execute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "placed",
"orderId": 0,
"counterpartyOrderIds": [
0
],
"payout": 0
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}{
"error": "<string>",
"code": 123,
"suggestion": "<string>",
"requestId": "<string>",
"errorCode": "<string>",
"details": {}
}Authorizations
API key for authentication
Headers
Defaults to the quote id. A repeat within 24 hours returns the first response.
Required string length:
1 - 255Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Default Response
Available options:
placed The sell order
Required range:
-9007199254740991 <= x <= 9007199254740991The buy orders it filled
Required range:
-9007199254740991 <= x <= 9007199254740991What the seller is paid, in cents
Required range:
-9007199254740991 <= x <= 9007199254740991Was this page helpful?